using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GridView;
using System.ComponentModel;

namespace RadGridView_WPF_AR_32
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			GroupDescriptor descriptor = new GroupDescriptor();
			descriptor.Member = "Number";
			descriptor.SortDirection = ListSortDirection.Ascending;
			this.playersGrid.GroupDescriptors.Add(descriptor);
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			this.playersGrid.GroupDescriptors.Clear();
			GroupDescriptor nameDescriptor = new GroupDescriptor();
			nameDescriptor.Member = "Name";
			nameDescriptor.SortDirection = ListSortDirection.Ascending;
			this.playersGrid.GroupDescriptors.Add(nameDescriptor);		
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{
			GroupDescriptor numberDescriptor = new GroupDescriptor();
			numberDescriptor.Member = "Number";
			numberDescriptor.SortDirection = ListSortDirection.Ascending;
			this.playersGrid.GroupDescriptors.Insert(0, numberDescriptor);
			
		}

		
	}
}
